SparrowDesk
Help centers

List all help centers

GET
/helpcenters
AuthorizationBearer <token>

In: header

Query Parameters

starting_after?string|null

Cursor for pagination (only needed for subsequent pages)

per_page?integer|null

Number of items per page (1-100, default 30)

Default30
Range1 <= value <= 100

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://app.sparrowdesk.com/v1/helpcenters"
{
  "data": [
    {
      "id": 994,
      "name": "Product help",
      "status": "ACTIVE",
      "access_type": "PUBLIC",
      "favicon": "string",
      "seo_title": "string",
      "seo_description": "string",
      "seo_image": "string",
      "brand": {
        "id": 1,
        "name": "Acme"
      },
      "domain": {
        "url": "support.acme.com",
        "https": true,
        "active": true,
        "verified": true
      },
      "created_at": 0,
      "updated_at": 0
    }
  ],
  "pages": {
    "per_page": 30,
    "next_cursor": "string",
    "next_url": "string"
  },
  "total_count": 2
}
{
  "error": {
    "message": "Invalid cursor"
  }
}
{
  "error": {
    "message": "Missing required scope or product feature is not enabled for this account."
  }
}
{
  "error": {
    "message": "An unexpected error occurred while loading help centers."
  }
}